Summary:	Easy to use front-end for ClamAV
Summary(pl.UTF-8):	Łatwa w użyciu nakładka graficzna na program antywirusowy ClamAV
Name:		clamtk
Version:	5.26
Release:	%mkrel 1
License:	Artistic
Group:		File tools
URL:		https://code.google.com/p/clamtk/
Source0:	https://bitbucket.org/dave_theunsub/%{name}/downloads/%{name}-%{version}.tar.xz
Patch0:		clamtk-5.11-fix-deprecated-icons.patch
Patch1:		clamtk-5.20-fix-UTF-8-decoding.patch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl-Gtk2
Requires:	perl-Date-Calc
Requires:	perl-File-Find-Rule
Requires:	perl-libwww-perl
Requires:	perl-JSON
Requires:	perl-Text-CSV
Requires:	perl-Time-Piece
Requires:	perl-Digest-SHA
Requires:	perl-IO-Socket-SSL
Requires:   perl-Net-SSLeay
Requires:   perl-LWP-Protocol-https 
Requires:   perl-Net-HTTP
Requires:   perl-HTTP-Cookies
Requires:   perl-HTTP-Date
Requires:   perl-HTTP-Message
Requires: 	gnome-icon-theme
Requires:	clamav
Requires:	clamav-db
Requires:	yelp
AutoReqProv: 	no

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%description -l pl.UTF-8
ClamTk jest to prosta nakładka graficzna na program antywirusowy ClamAV.


%prep
%setup -q
%apply_patches

%install

install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{perl_vendorlib}/ClamTk
install -m0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk

# Install help files
# help/C/clamtk/figures
#for dir in help/* ; do
#	mkdir -p %{buildroot}%{_datadir}/$dir/
#	cp -a $dir/* %{buildroot}%{_datadir}/$dir/%{name}
#done

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/%{name}.mo
done

desktop-file-install \
	--add-category="GTK" \
	--remove-category="Security" \
	--remove-mime-type="vms/exe" \
	--add-category="X-MandrivaLinux-System-FileTools" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES DISCLAIMER LICENSE
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
#%{_datadir}/help

%changelog
* Wed Oct 17 2018 adrianomorselli <adrianmorselli> 5.26-1uplos2018
- update
